<div [formGroup]=form>

    <nz-form-item>
        <nz-form-label [nzSm]="6" [nzXs]="24" nzRequired> {{ "Politics.Newspaper" | translate }}</nz-form-label>
        <nz-form-control [nzSm]="14" [nzXs]="24">
            <nz-select formControlName="newspaperId" style="width: 100%" [nzLoading]="isLoading" nzAllowClear nzPlaceHolder='{{ "Social.Newspaper.SelectNewspaper" | translate }}'>
                <nz-option *ngFor="let item of newspapers" [nzValue]="item.id" [nzLabel]="item.name"></nz-option>
            </nz-select>

            <nz-card nzSize="small" *ngIf="form.get('newspaperId').value">
                <img class="country-flag" [src]="getNewspaper(form.get('newspaperId').value).avatar"
                    style="height: 40px;  width: 40px" />
                <a style="margin-left: 5px" [routerLink]="['/newspaper', form.get('newspaperId').value]">
                    {{ getNewspaper(form.get('newspaperId').value).name }}
                </a>
            </nz-card>
        </nz-form-control>
    </nz-form-item>

</div>